use strict;
use warnings;
use Test::More;
use lib 't/lib';
use PScm::Test tests => 2;

BEGIN { use_ok('PScm') }

eval_ok(<<EOF, "1", 'letrec and call/cc');
(let ((a (lambda (return)
            (letrec ((loop
                       (lambda (n)
                         (if n (loop (- n 1))
                           (if (return 1) 2 3)))))
                  (loop 10)))))
     (call/cc a))
EOF

# vim: ft=perl
