use strict;
use warnings;
use Test::More;
use lib './t/lib';
use PScm::Test tests => 3;
use FileHandle;

BEGIN { use_ok('PScm') }

eval_ok(<<EOF, <<EOR, 'lambda args');
(let ((test (lambda args args)))
  (test 1 2 3))
EOF
(1 2 3)
EOR

eval_ok(<<EOF, <<EOR, 'lambda args');
(let ((test (lambda (a b . rest)
               (list a b rest))))
  (test 1 2 3 4))
EOF
(1 2 (3 4))
EOR

# vim: ft=perl
